> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trustblock.run/llms.txt
> Use this file to discover all available pages before exploring further.

> Trustblock API route to get a project's security state

# Get project security state



## OpenAPI

````yaml get /v1/project/security
openapi: 3.0.0
info:
  title: TrustBlock Audit API
  version: 1.0.0
servers:
  - url: https://api.trustblock.run
security: []
paths:
  /v1/project/security:
    get:
      summary: Get project security state
      description: Retrieves the security state of a project based on query parameters.
      parameters:
        - in: query
          name: Fetching method
          schema:
            oneOf:
              - title: By Domain
                type: object
                properties:
                  domain:
                    type: string
                    description: The domain of the project.
              - title: By Slug
                type: object
                properties:
                  slug:
                    type: string
                    description: The slug of the project.
              - title: By Contract
                type: object
                required:
                  - chain
                  - address
                properties:
                  chain:
                    $ref: '#/components/schemas/Chain'
                    description: The blockchain chain of the project.
                  address:
                    type: string
                    description: The EVM address of the project.
          required: false
      responses:
        '200':
          description: A detailed view of the project's security state.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetProjectSecurityResponse'
        '400':
          description: >-
            Bad request. The request was unacceptable, often due to missing a
            required parameter or invalid data.
        '404':
          description: Not found. The specified resource could not be found.
      security:
        - Bearer: []
components:
  schemas:
    Chain:
      type: string
      enum:
        - ethereum
        - polygon
        - avalanche
        - bnbchain
        - arbitrum
        - optimism
        - fantom
        - zksync
        - base
        - polygonZkEvm
        - scroll
        - blast
        - starknet
        - solana
        - stellar
        - sui
        - tron
        - injective
      description: Supported blockchain chains.
    GetProjectSecurityResponse:
      type: object
      properties:
        extra:
          type: object
          properties:
            requestId:
              type: string
        name:
          type: string
        domain:
          type: string
        audits:
          type: array
          items:
            type: object
            properties:
              date:
                type: number
              url:
                type: string
              auditor:
                type: object
                properties:
                  name:
                    type: string
                  url:
                    type: string
        url:
          type: string
        isDeemedDangerous:
          type: boolean
          default: false
        activeIssues:
          type: array
          items:
            $ref: '#/components/schemas/Issue'
        activeRekts:
          type: array
          items:
            $ref: '#/components/schemas/ProjectRekt'
    Issue:
      type: object
      required:
        - name
        - description
        - status
        - severity
      properties:
        name:
          type: string
        description:
          type: string
        status:
          type: string
        severity:
          type: string
    ProjectRekt:
      type: object
      properties:
        name:
          type: string
        description:
          type: string
        rektAt:
          type: number
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````